### GET /operators/{id}/flights/arrivals Source: https://www.flightaware.com/commercial/aeroapi/resources/aeroapi-openapi.yml Returns flights for this operator that have departed and subsequently arrived, ordered by `actual_on` descending. The optional start and end parameters will be compared against `actual_on` to limit the flights returned. The start parameter's default value is 24 hours before the current time. The end parameter's default value is the current time. ```markdown ### Responses #### 200 - Arrived flights. #### 400 - Incorrect parameter (id). Id must be a valid operator code and cannot be empty. - **title** (string) (required): Short summary of the type of error encountered. - **reason** (string) (required): Error type name directly from the backend. - **detail** (string) (required): More detailed description of the error, possibly including information about specific invalid fields or remediation steps. - **status** (integer) (required): The HTTP response code returned as part of the error. #### 404 - No such operator exists. - **title** (string) (required): Short summary of the type of error encountered. - **reason** (string) (required): Error type name directly from the backend. - **detail** (string) (required): More detailed description of the error, possibly including information about specific invalid fields or remediation steps. - **status** (integer) (required): The HTTP response code returned as part of the error. ### Example Usage ```bash curl -X GET "https://{env}.flightaware.com/aeroapi/operators/{id}/flights/arrivals" ``` ``` -------------------------------- ### GET /airports/{id}/flights/arrivals Source: https://www.flightaware.com/commercial/aeroapi/resources/aeroapi-openapi.yml Returns flights that have arrived at an airport, orderd by `actual_on` descending. The start parameter's default value is 24 hours before the current time. The end parameter's default value is the current time. ```markdown ### Parameters - **id** (string, path, required): ICAO, IATA or LID ID of destination airport to fetch. [ICAO is highly preferred](/aeroapi/portal/resources#icaoCode) to prevent ambiguity. - **airline** (string, query, optional): Airline to filter flights by. Do not provide airline if type is provided. (example: "UAL") - **type** (string (General_Aviation|Airline), query, optional): Type of flights to return. Do not provide type if airline is provided. - **start** (string, query, optional): The starting date range for flight results. The format is ISO8601 date or datetime, and the bound is inclusive. Specified start date must be no further than 10 days in the past and 2 days in the future. If using date instead of datetime, the time will default to 00:00:00Z. - **end** (string, query, optional): The ending date range for flight results. The format is ISO8601 date or datetime, and the bound is exclusive. Specified end date must be no further than 10 days in the past and 2 days in the future. If using date instead of datetime, the time will default to 00:00:00Z. - **max_pages** (integer, query, optional): Maximum number of pages to fetch. This is an upper limit and not a guarantee of how many pages will be returned. - **cursor** (string, query, optional): Opaque value used to get the next batch of data from a paged collection. ### Responses #### 200 - OK - **links** (object) (required): Object containing links to related resources. - **next** (string (uri-reference)) (required): A link to the next set of records in a collection. - **num_pages** (integer) (required): Number of pages returned - **arrivals** (array (object)) (required) Array items: - **ident** (string) (required): Either the operator code followed by the flight number for the flight (for commercial flights) or the aircraft's registration (for general aviation). - **ident_icao** (string): The ICAO operator code followed by the flight number for the flight (for commercial flights) - **ident_iata** (string): The IATA operator code followed by the flight number for the flight (for commercial flights) - **actual_runway_off** (string): Actual departure runway at origin, when known - **actual_runway_on** (string): Actual arrival runway at destination, when known - **fa_flight_id** (string) (required): Unique identifier assigned by FlightAware for this specific flight. If the flight is diverted, the new leg of the flight will have a duplicate fa_flight_id. - **operator** (string) (required): ICAO code, if exists, of the operator of the flight, otherwise the IATA code - **operator_icao** (string): ICAO code of the operator of the flight. - **operator_iata** (string) (required): IATA code of the operator of the flight. - **flight_number** (string) (required): Bare flight number of the flight. - **registration** (string) (required): Aircraft registration (tail number) of the aircraft, when known. - **atc_ident** (string) (required): The ident of the flight for Air Traffic Control purposes, when known and different than ident. - **inbound_fa_flight_id** (string) (required): Unique identifier assigned by FlightAware for the previous flight of the aircraft serving this flight. - **codeshares** (array (string)) (required): List of any ICAO codeshares operating on this flight. - **codeshares_iata** (array (string)): List of any IATA codeshares operating on this flight. - **blocked** (boolean) (required): Flag indicating whether this flight is blocked from public viewing. - **diverted** (boolean) (required): Flag indicating whether this flight was diverted. - **cancelled** (boolean) (required): Flag indicating that the flight is no longer being tracked by FlightAware. There are a number of reasons this could happen including cancellation by the airline, but that will not always be the case. - **position_only** (boolean) (required): Flag indicating that this flight does not have a flight plan, schedule, or other indication of intent available. - **origin** (object) (required): Information for this flight's origin airport. - **code** (string) (required): ICAO/IATA/LID code or string indicating the location where tracking of the flight began/ended for position-only flights. - **code_icao** (string): ICAO code - **code_iata** (string): IATA code - **code_lid** (string): LID code - **timezone** (string): Applicable timezone for the airport, in the TZ database format (example: "America/New_York") - **name** (string): Common name of airport (example: "LaGuardia") - **city** (string): Closest city to the airport (example: "New York") - **airport_info_url** (string (uri-reference)) (required): The URL to more information about the airport. Will be null for position-only flights. - **destination** (object) (required): Information for this flight's destination airport. - **departure_delay** (integer) (required): Departure delay (in seconds) based on either actual or estimated gate departure time. If gate time is unavailable then based on runway departure time. A negative value indicates the flight is early. - **arrival_delay** (integer) (required): Arrival delay (in seconds) based on either actual or estimated gate arrival time. If gate time is unavailable then based on runway arrival time. A negative value indicates the flight is early. - **filed_ete** (integer) (required): Runway-to-runway filed duration (seconds). - **progress_percent** (integer) (required): The percent completion of a flight, based on runway departure/arrival. Null for en route position-only flights. - **status** (string) (required): Human-readable summary of flight status. - **aircraft_type** (string) (required): Aircraft type will generally be ICAO code, but IATA code will be given when the ICAO code is not known. - **route_distance** (integer) (required): Planned flight distance (statute miles) based on the filed route. May vary from actual flown distance. - **filed_airspeed** (integer) (required): Filed IFR airspeed (knots). - **filed_altitude** (integer) (required): Filed IFR altitude (100s of feet). - **route** (string) (required): The textual description of the flight's route. - **baggage_claim** (string) (required): Baggage claim location at the destination airport. - **seats_cabin_business** (integer) (required): Number of seats in the business class cabin. - **seats_cabin_coach** (integer) (required): Number of seats in the coach cabin. - **seats_cabin_first** (integer) (required): Number of seats in the first class cabin. - **gate_origin** (string) (required): Departure gate at the origin airport. - **gate_destination** (string) (required): Arrival gate at the destination airport. - **terminal_origin** (string) (required): Departure terminal at the origin airport. - **terminal_destination** (string) (required): Arrival terminal at the destination airport. - **type** (string (General_Aviation|Airline)) (required): Whether this is a commercial or general aviation flight. ("General_Aviation"|"Airline") - **scheduled_out** (string (date-time)) (required): Scheduled gate departure time. (example: "2021-12-31T19:59:59Z") - **estimated_out** (string (date-time)) (required): Estimated gate departure time. (example: "2021-12-31T19:59:59Z") - **actual_out** (string (date-time)) (required): Actual gate departure time. (example: "2021-12-31T19:59:59Z") - **scheduled_off** (string (date-time)) (required): Scheduled runway departure time. (example: "2021-12-31T19:59:59Z") - **estimated_off** (string (date-time)) (required): Estimated runway departure time. (example: "2021-12-31T19:59:59Z") - **actual_off** (string (date-time)) (required): Actual runway departure time. (example: "2021-12-31T19:59:59Z") - **scheduled_on** (string (date-time)) (required): Scheduled runway arrival time. (example: "2021-12-31T19:59:59Z") - **estimated_on** (string (date-time)) (required): Estimated runway arrival time. (example: "2021-12-31T19:59:59Z") - **actual_on** (string (date-time)) (required): Actual runway arrival time. (example: "2021-12-31T19:59:59Z") - **scheduled_in** (string (date-time)) (required): Scheduled gate arrival time. (example: "2021-12-31T19:59:59Z") - **estimated_in** (string (date-time)) (required): Estimated gate arrival time. (example: "2021-12-31T19:59:59Z") - **actual_in** (string (date-time)) (required): Actual gate arrival time. (example: "2021-12-31T19:59:59Z") #### 400 - Incorrect parameter(s). Id must be a valid airport code and cannot be empty. Airline and type query params cannot both be set. - **title** (string) (required): Short summary of the type of error encountered. - **reason** (string) (required): Error type name directly from the backend. - **detail** (string) (required): More detailed description of the error, possibly including information about specific invalid fields or remediation steps. - **status** (integer) (required): The HTTP response code returned as part of the error. ### Example Usage ```bash curl -X GET "https://{env}.flightaware.com/aeroapi/airports/{id}/flights/arrivals?airline=UAL&type=General_Aviation&start=string&end=string&max_pages=1&cursor=string" ``` ``` -------------------------------- ### GET /operators/{id}/flights/enroute Source: https://www.flightaware.com/commercial/aeroapi/resources/aeroapi-openapi.yml Returns flights for this operator that have departed and are currently en route, ordered by `estimated_on` ascending. The optional start and end parameters will be compared against `estimated_on` to limit the flights returned. The start parameter's default value is 48 hours before the current time (this accounts for delayed flights). There is no default end bound. ```markdown ### Responses #### 200 - En route flights. #### 400 - Incorrect parameter (id). Id must be a valid operator code and cannot be empty. - **title** (string) (required): Short summary of the type of error encountered. - **reason** (string) (required): Error type name directly from the backend. - **detail** (string) (required): More detailed description of the error, possibly including information about specific invalid fields or remediation steps. - **status** (integer) (required): The HTTP response code returned as part of the error. #### 404 - No such operator exists. - **title** (string) (required): Short summary of the type of error encountered. - **reason** (string) (required): Error type name directly from the backend. - **detail** (string) (required): More detailed description of the error, possibly including information about specific invalid fields or remediation steps. - **status** (integer) (required): The HTTP response code returned as part of the error. ### Example Usage ```bash curl -X GET "https://{env}.flightaware.com/aeroapi/operators/{id}/flights/enroute" ``` ``` -------------------------------- ### GET /airports/{id}/flights/to/{dest_id} Source: https://www.flightaware.com/commercial/aeroapi/resources/aeroapi-openapi.yml This endpoint is quite similar to the `FindFlight` operator in prior versions of AeroAPI. Results may include both non-stop and one-stop flights. Note that because the returned flights can include multiple legs, the response format differs from most other flight-returning endpoints. If the optional start or end query parameters are not provided start will default to 1 day in the future, while end will default to 7 days in the past relative to the time the query is made. ```markdown ### Parameters - **id** (string, path, required): ICAO, IATA or LID ID of destination airport to fetch. [ICAO is highly preferred](/aeroapi/portal/resources#icaoCode) to prevent ambiguity. - **dest_id** (string, path, required): ICAO, IATA or LID ID of destination airport to fetch. [ICAO is highly preferred](/aeroapi/portal/resources#icaoCode) to prevent ambiguity. - **type** (string (General_Aviation|Airline), query, optional): Type of flights to return. - **connection** (string (nonstop|onestop), query, optional): Whether flights should be filtered based on their connection status. If setting start/end date parameters then connection must be set to nonstop, and will default to nonstop if left blank. If start/end are not specified then leaving this blank will result in a mix of nonstop and one-stop flights being returned, with a preference for nonstop flights. One-stop flights are identified with a custom heuristic, which may be incomplete. - **start** (string, query, optional): The starting date range for flight results. The format is ISO8601 date or datetime, and the bound is inclusive. Specified start date must be no further than 10 days in the past and 2 days in the future. If using date instead of datetime, the time will default to 00:00:00Z. - **end** (string, query, optional): The ending date range for flight results. The format is ISO8601 date or datetime, and the bound is exclusive. Specified end date must be no further than 10 days in the past and 2 days in the future. If using date instead of datetime, the time will default to 00:00:00Z. - **max_pages** (integer, query, optional): Maximum number of pages to fetch. This is an upper limit and not a guarantee of how many pages will be returned. - **cursor** (string, query, optional): Opaque value used to get the next batch of data from a paged collection. ### Responses #### 200 - OK - **links** (object) (required): Object containing links to related resources. - **next** (string (uri-reference)) (required): A link to the next set of records in a collection. - **num_pages** (integer) (required): Number of pages returned - **flights** (array (object)) (required) Array items: - **segments** (array (object)) (required) Array items: - **ident** (string) (required): Either the operator code followed by the flight number for the flight (for commercial flights) or the aircraft's registration (for general aviation). - **ident_icao** (string): The ICAO operator code followed by the flight number for the flight (for commercial flights) - **ident_iata** (string): The IATA operator code followed by the flight number for the flight (for commercial flights) - **actual_runway_off** (string): Actual departure runway at origin, when known - **actual_runway_on** (string): Actual arrival runway at destination, when known - **fa_flight_id** (string) (required): Unique identifier assigned by FlightAware for this specific flight. If the flight is diverted, the new leg of the flight will have a duplicate fa_flight_id. - **operator** (string) (required): ICAO code, if exists, of the operator of the flight, otherwise the IATA code - **operator_icao** (string): ICAO code of the operator of the flight. - **operator_iata** (string) (required): IATA code of the operator of the flight. - **flight_number** (string) (required): Bare flight number of the flight. - **registration** (string) (required): Aircraft registration (tail number) of the aircraft, when known. - **atc_ident** (string) (required): The ident of the flight for Air Traffic Control purposes, when known and different than ident. - **inbound_fa_flight_id** (string) (required): Unique identifier assigned by FlightAware for the previous flight of the aircraft serving this flight. - **codeshares** (array (string)) (required): List of any ICAO codeshares operating on this flight. - **codeshares_iata** (array (string)): List of any IATA codeshares operating on this flight. - **blocked** (boolean) (required): Flag indicating whether this flight is blocked from public viewing. - **diverted** (boolean) (required): Flag indicating whether this flight was diverted. - **cancelled** (boolean) (required): Flag indicating that the flight is no longer being tracked by FlightAware. There are a number of reasons this could happen including cancellation by the airline, but that will not always be the case. - **position_only** (boolean) (required): Flag indicating that this flight does not have a flight plan, schedule, or other indication of intent available. - **origin** (object) (required): Information for this flight's origin airport. - **code** (string) (required): ICAO/IATA/LID code or string indicating the location where tracking of the flight began/ended for position-only flights. - **code_icao** (string): ICAO code - **code_iata** (string): IATA code - **code_lid** (string): LID code - **timezone** (string): Applicable timezone for the airport, in the TZ database format (example: "America/New_York") - **name** (string): Common name of airport (example: "LaGuardia") - **city** (string): Closest city to the airport (example: "New York") - **airport_info_url** (string (uri-reference)) (required): The URL to more information about the airport. Will be null for position-only flights. - **destination** (object) (required): Information for this flight's destination airport. - **departure_delay** (integer) (required): Departure delay (in seconds) based on either actual or estimated gate departure time. If gate time is unavailable then based on runway departure time. A negative value indicates the flight is early. - **arrival_delay** (integer) (required): Arrival delay (in seconds) based on either actual or estimated gate arrival time. If gate time is unavailable then based on runway arrival time. A negative value indicates the flight is early. - **filed_ete** (integer) (required): Runway-to-runway filed duration (seconds). - **progress_percent** (integer) (required): The percent completion of a flight, based on runway departure/arrival. Null for en route position-only flights. - **status** (string) (required): Human-readable summary of flight status. - **aircraft_type** (string) (required): Aircraft type will generally be ICAO code, but IATA code will be given when the ICAO code is not known. - **route_distance** (integer) (required): Planned flight distance (statute miles) based on the filed route. May vary from actual flown distance. - **filed_airspeed** (integer) (required): Filed IFR airspeed (knots). - **filed_altitude** (integer) (required): Filed IFR altitude (100s of feet). - **route** (string) (required): The textual description of the flight's route. - **baggage_claim** (string) (required): Baggage claim location at the destination airport. - **seats_cabin_business** (integer) (required): Number of seats in the business class cabin. - **seats_cabin_coach** (integer) (required): Number of seats in the coach cabin. - **seats_cabin_first** (integer) (required): Number of seats in the first class cabin. - **gate_origin** (string) (required): Departure gate at the origin airport. - **gate_destination** (string) (required): Arrival gate at the destination airport. - **terminal_origin** (string) (required): Departure terminal at the origin airport. - **terminal_destination** (string) (required): Arrival terminal at the destination airport. - **type** (string (General_Aviation|Airline)) (required): Whether this is a commercial or general aviation flight. ("General_Aviation"|"Airline") - **scheduled_out** (string (date-time)) (required): Scheduled gate departure time. (example: "2021-12-31T19:59:59Z") - **estimated_out** (string (date-time)) (required): Estimated gate departure time. (example: "2021-12-31T19:59:59Z") - **actual_out** (string (date-time)) (required): Actual gate departure time. (example: "2021-12-31T19:59:59Z") - **scheduled_off** (string (date-time)) (required): Scheduled runway departure time. (example: "2021-12-31T19:59:59Z") - **estimated_off** (string (date-time)) (required): Estimated runway departure time. (example: "2021-12-31T19:59:59Z") - **actual_off** (string (date-time)) (required): Actual runway departure time. (example: "2021-12-31T19:59:59Z") - **scheduled_on** (string (date-time)) (required): Scheduled runway arrival time. (example: "2021-12-31T19:59:59Z") - **estimated_on** (string (date-time)) (required): Estimated runway arrival time. (example: "2021-12-31T19:59:59Z") - **actual_on** (string (date-time)) (required): Actual runway arrival time. (example: "2021-12-31T19:59:59Z") - **scheduled_in** (string (date-time)) (required): Scheduled gate arrival time. (example: "2021-12-31T19:59:59Z") - **estimated_in** (string (date-time)) (required): Estimated gate arrival time. (example: "2021-12-31T19:59:59Z") - **actual_in** (string (date-time)) (required): Actual gate arrival time. (example: "2021-12-31T19:59:59Z") #### 400 - Incorrect parameter(s). Id and dest_id must be valid airport codes and cannot be empty. - **title** (string) (required): Short summary of the type of error encountered. - **reason** (string) (required): Error type name directly from the backend. - **detail** (string) (required): More detailed description of the error, possibly including information about specific invalid fields or remediation steps. - **status** (integer) (required): The HTTP response code returned as part of the error. ### Example Usage ```bash curl -X GET "https://{env}.flightaware.com/aeroapi/airports/{id}/flights/to/{dest_id}?type=General_Aviation&connection=nonstop&start=string&end=string&max_pages=1&cursor=string" ``` ``` -------------------------------- ### GET /airports/{id}/flights/scheduled_arrivals Source: https://www.flightaware.com/commercial/aeroapi/resources/aeroapi-openapi.yml Returns flights that are expected to arrive at an airport. This can include both undeparted and en route flights. Flights are ordered by `estimated_on` ascending. The optional start and end parameters will be compared against `estimated_on` to limit the flights returned. The start parameter's default value is 48 hours before the current time (this accounts for delayed flights). The end parameter's default value is 24 hours after the current time. ```markdown ### Parameters - **id** (string, path, required): ICAO, IATA or LID ID of destination airport to fetch. [ICAO is highly preferred](/aeroapi/portal/resources#icaoCode) to prevent ambiguity. - **airline** (string, query, optional): Airline to filter flights by. Do not provide airline if type is provided. (example: "UAL") - **type** (string (General_Aviation|Airline), query, optional): Type of flights to return. Do not provide type if airline is provided. - **start** (string, query, optional): The starting date range for flight results. The format is ISO8601 date or datetime, and the bound is inclusive. Specified start date must be no further than 10 days in the past and 2 days in the future. If using date instead of datetime, the time will default to 00:00:00Z. - **end** (string, query, optional): The ending date range for flight results. The format is ISO8601 date or datetime, and the bound is exclusive. Specified end date must be no further than 10 days in the past and 2 days in the future. If using date instead of datetime, the time will default to 00:00:00Z. - **max_pages** (integer, query, optional): Maximum number of pages to fetch. This is an upper limit and not a guarantee of how many pages will be returned. - **cursor** (string, query, optional): Opaque value used to get the next batch of data from a paged collection. ### Responses #### 200 - OK - **links** (object) (required): Object containing links to related resources. - **next** (string (uri-reference)) (required): A link to the next set of records in a collection. - **num_pages** (integer) (required): Number of pages returned - **scheduled_arrivals** (array (object)) (required) Array items: - **ident** (string) (required): Either the operator code followed by the flight number for the flight (for commercial flights) or the aircraft's registration (for general aviation). - **ident_icao** (string): The ICAO operator code followed by the flight number for the flight (for commercial flights) - **ident_iata** (string): The IATA operator code followed by the flight number for the flight (for commercial flights) - **actual_runway_off** (string): Actual departure runway at origin, when known - **actual_runway_on** (string): Actual arrival runway at destination, when known - **fa_flight_id** (string) (required): Unique identifier assigned by FlightAware for this specific flight. If the flight is diverted, the new leg of the flight will have a duplicate fa_flight_id. - **operator** (string) (required): ICAO code, if exists, of the operator of the flight, otherwise the IATA code - **operator_icao** (string): ICAO code of the operator of the flight. - **operator_iata** (string) (required): IATA code of the operator of the flight. - **flight_number** (string) (required): Bare flight number of the flight. - **registration** (string) (required): Aircraft registration (tail number) of the aircraft, when known. - **atc_ident** (string) (required): The ident of the flight for Air Traffic Control purposes, when known and different than ident. - **inbound_fa_flight_id** (string) (required): Unique identifier assigned by FlightAware for the previous flight of the aircraft serving this flight. - **codeshares** (array (string)) (required): List of any ICAO codeshares operating on this flight. - **codeshares_iata** (array (string)): List of any IATA codeshares operating on this flight. - **blocked** (boolean) (required): Flag indicating whether this flight is blocked from public viewing. - **diverted** (boolean) (required): Flag indicating whether this flight was diverted. - **cancelled** (boolean) (required): Flag indicating that the flight is no longer being tracked by FlightAware. There are a number of reasons this could happen including cancellation by the airline, but that will not always be the case. - **position_only** (boolean) (required): Flag indicating that this flight does not have a flight plan, schedule, or other indication of intent available. - **origin** (object) (required): Information for this flight's origin airport. - **code** (string) (required): ICAO/IATA/LID code or string indicating the location where tracking of the flight began/ended for position-only flights. - **code_icao** (string): ICAO code - **code_iata** (string): IATA code - **code_lid** (string): LID code - **timezone** (string): Applicable timezone for the airport, in the TZ database format (example: "America/New_York") - **name** (string): Common name of airport (example: "LaGuardia") - **city** (string): Closest city to the airport (example: "New York") - **airport_info_url** (string (uri-reference)) (required): The URL to more information about the airport. Will be null for position-only flights. - **destination** (object) (required): Information for this flight's destination airport. - **departure_delay** (integer) (required): Departure delay (in seconds) based on either actual or estimated gate departure time. If gate time is unavailable then based on runway departure time. A negative value indicates the flight is early. - **arrival_delay** (integer) (required): Arrival delay (in seconds) based on either actual or estimated gate arrival time. If gate time is unavailable then based on runway arrival time. A negative value indicates the flight is early. - **filed_ete** (integer) (required): Runway-to-runway filed duration (seconds). - **progress_percent** (integer) (required): The percent completion of a flight, based on runway departure/arrival. Null for en route position-only flights. - **status** (string) (required): Human-readable summary of flight status. - **aircraft_type** (string) (required): Aircraft type will generally be ICAO code, but IATA code will be given when the ICAO code is not known. - **route_distance** (integer) (required): Planned flight distance (statute miles) based on the filed route. May vary from actual flown distance. - **filed_airspeed** (integer) (required): Filed IFR airspeed (knots). - **filed_altitude** (integer) (required): Filed IFR altitude (100s of feet). - **route** (string) (required): The textual description of the flight's route. - **baggage_claim** (string) (required): Baggage claim location at the destination airport. - **seats_cabin_business** (integer) (required): Number of seats in the business class cabin. - **seats_cabin_coach** (integer) (required): Number of seats in the coach cabin. - **seats_cabin_first** (integer) (required): Number of seats in the first class cabin. - **gate_origin** (string) (required): Departure gate at the origin airport. - **gate_destination** (string) (required): Arrival gate at the destination airport. - **terminal_origin** (string) (required): Departure terminal at the origin airport. - **terminal_destination** (string) (required): Arrival terminal at the destination airport. - **type** (string (General_Aviation|Airline)) (required): Whether this is a commercial or general aviation flight. ("General_Aviation"|"Airline") - **scheduled_out** (string (date-time)) (required): Scheduled gate departure time. (example: "2021-12-31T19:59:59Z") - **estimated_out** (string (date-time)) (required): Estimated gate departure time. (example: "2021-12-31T19:59:59Z") - **actual_out** (string (date-time)) (required): Actual gate departure time. (example: "2021-12-31T19:59:59Z") - **scheduled_off** (string (date-time)) (required): Scheduled runway departure time. (example: "2021-12-31T19:59:59Z") - **estimated_off** (string (date-time)) (required): Estimated runway departure time. (example: "2021-12-31T19:59:59Z") - **actual_off** (string (date-time)) (required): Actual runway departure time. (example: "2021-12-31T19:59:59Z") - **scheduled_on** (string (date-time)) (required): Scheduled runway arrival time. (example: "2021-12-31T19:59:59Z") - **estimated_on** (string (date-time)) (required): Estimated runway arrival time. (example: "2021-12-31T19:59:59Z") - **actual_on** (string (date-time)) (required): Actual runway arrival time. (example: "2021-12-31T19:59:59Z") - **scheduled_in** (string (date-time)) (required): Scheduled gate arrival time. (example: "2021-12-31T19:59:59Z") - **estimated_in** (string (date-time)) (required): Estimated gate arrival time. (example: "2021-12-31T19:59:59Z") - **actual_in** (string (date-time)) (required): Actual gate arrival time. (example: "2021-12-31T19:59:59Z") #### 400 - Incorrect parameter(s). Id must be a valid airport code and cannot be empty. Airline and type query params cannot both be set. - **title** (string) (required): Short summary of the type of error encountered. - **reason** (string) (required): Error type name directly from the backend. - **detail** (string) (required): More detailed description of the error, possibly including information about specific invalid fields or remediation steps. - **status** (integer) (required): The HTTP response code returned as part of the error. ### Example Usage ```bash curl -X GET "https://{env}.flightaware.com/aeroapi/airports/{id}/flights/scheduled_arrivals?airline=UAL&type=General_Aviation&start=string&end=string&max_pages=1&cursor=string" ``` ``` -------------------------------- ### GET /flights/{ident} Source: https://www.flightaware.com/commercial/aeroapi/resources/aeroapi-openapi.yml Returns the flight info status summary for a registration, ident, or fa_flight_id. If a fa_flight_id is specified then a maximum of 1 flight is returned, unless the flight has been diverted in which case both the original flight and any diversions will be returned with a duplicate fa_flight_id. If a registration or ident is specified, approximately 14 days of recent and scheduled flight information is returned, ordered by `scheduled_out` (or `scheduled_off` if `scheduled_out` is missing) descending. Alternately, specify a start and end parameter to find your flight(s) of interest, including up to 10 days of flight history. ```markdown ### Parameters - **ident** (string, path, required): The ident, registration, or fa_flight_id to fetch. If using a flight ident, it is highly recommended to specify ICAO flight ident rather than IATA flight ident to avoid ambiguity and unexpected results. Setting the ident_type can also be used to help disambiguate. - **ident_type** (string (designator|registration|fa_flight_id), query, optional): Type of ident provided in the ident parameter. By default, the passed ident is interpreted as a registration if possible. This parameter can force the ident to be interpreted as a designator instead. - **start** (string, query, optional): The starting date range for flight results, comparing against flights' `scheduled_out` field (or `scheduled_off` if `scheduled_out` is missing). The format is ISO8601 date or datetime, and the bound is inclusive. Specified start date must be no further than 10 days in the past and 2 days in the future. If not specified, will default to departures starting approximately 11 days in the past. If using date instead of datetime, the time will default to 00:00:00Z. - **end** (string, query, optional): The ending date range for flight results, comparing against flights' `scheduled_out` field (or `scheduled_off` if `scheduled_out` is missing). The format is ISO8601 date or datetime, and the bound is exclusive. Specified end date must be no further than 10 days in the past and 2 days in the future. If not specified, will default to departures starting approximately 2 days in the future. If using date instead of datetime, the time will default to 00:00:00Z. - **max_pages** (integer, query, optional): Maximum number of pages to fetch. This is an upper limit and not a guarantee of how many pages will be returned. - **cursor** (string, query, optional): Opaque value used to get the next batch of data from a paged collection. ### Responses #### 200 - OK #### 400 - Incorrect parameter(s). Ident may be missing or not in fa_flight_id format or pages may be < 1. - **title** (string) (required): Short summary of the type of error encountered. - **reason** (string) (required): Error type name directly from the backend. - **detail** (string) (required): More detailed description of the error, possibly including information about specific invalid fields or remediation steps. - **status** (integer) (required): The HTTP response code returned as part of the error. ### Example Usage ```bash curl -X GET "https://{env}.flightaware.com/aeroapi/flights/{ident}?ident_type=designator&start=string&end=string&max_pages=1&cursor=string" ``` ```